package com.dgtly.system.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.Date;
public class TmsLogisticsStatus {

	private Long id;

	private String createBy;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	private String updateBy;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	private String isDelete;

	private String orderNumber;

	private String orderCreationTime;

	private String deliveryNumber;

	private String tmsShipmentNumber;

	private String customerCode;

	private String status;

	private String driverName;

	private String carNumber;

	private String driverPhone;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date assignTime;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date getGoodsTime;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date factoryTime;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date arrivalGoodsTime;

	private String transferOrder;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(String isDelete) {
		this.isDelete = isDelete;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}

	public String getOrderCreationTime() {
		return orderCreationTime;
	}

	public void setOrderCreationTime(String orderCreationTime) {
		this.orderCreationTime = orderCreationTime;
	}

	public String getDeliveryNumber() {
		return deliveryNumber;
	}

	public void setDeliveryNumber(String deliveryNumber) {
		this.deliveryNumber = deliveryNumber;
	}

	public String getTmsShipmentNumber() {
		return tmsShipmentNumber;
	}

	public void setTmsShipmentNumber(String tmsShipmentNumber) {
		this.tmsShipmentNumber = tmsShipmentNumber;
	}

	public String getCustomerCode() {
		return customerCode;
	}

	public void setCustomerCode(String customerCode) {
		this.customerCode = customerCode;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDriverName() {
		return driverName;
	}

	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}

	public String getCarNumber() {
		return carNumber;
	}

	public void setCarNumber(String carNumber) {
		this.carNumber = carNumber;
	}

	public String getDriverPhone() {
		return driverPhone;
	}

	public void setDriverPhone(String driverPhone) {
		this.driverPhone = driverPhone;
	}

	public Date getAssignTime() {
		return assignTime;
	}

	public void setAssignTime(Date assignTime) {
		this.assignTime = assignTime;
	}

	public Date getGetGoodsTime() {
		return getGoodsTime;
	}

	public void setGetGoodsTime(Date getGoodsTime) {
		this.getGoodsTime = getGoodsTime;
	}

	public Date getFactoryTime() {
		return factoryTime;
	}

	public void setFactoryTime(Date factoryTime) {
		this.factoryTime = factoryTime;
	}

	public Date getArrivalGoodsTime() {
		return arrivalGoodsTime;
	}

	public void setArrivalGoodsTime(Date arrivalGoodsTime) {
		this.arrivalGoodsTime = arrivalGoodsTime;
	}

	public String getTransferOrder() {
		return transferOrder;
	}

	public void setTransferOrder(String transferOrder) {
		this.transferOrder = transferOrder;
	}

	public TmsLogisticsStatus() {
	}

	public TmsLogisticsStatus(Long id, String createBy, Date createTime, String updateBy, Date updateTime, String isDelete, String orderNumber, String orderCreationTime, String deliveryNumber, String tmsShipmentNumber, String customerCode, String status, String driverName, String carNumber, String driverPhone, Date assignTime, Date getGoodsTime, Date factoryTime, Date arrivalGoodsTime, String transferOrder) {
		this.id = id;
		this.createBy = createBy;
		this.createTime = createTime;
		this.updateBy = updateBy;
		this.updateTime = updateTime;
		this.isDelete = isDelete;
		this.orderNumber = orderNumber;
		this.orderCreationTime = orderCreationTime;
		this.deliveryNumber = deliveryNumber;
		this.tmsShipmentNumber = tmsShipmentNumber;
		this.customerCode = customerCode;
		this.status = status;
		this.driverName = driverName;
		this.carNumber = carNumber;
		this.driverPhone = driverPhone;
		this.assignTime = assignTime;
		this.getGoodsTime = getGoodsTime;
		this.factoryTime = factoryTime;
		this.arrivalGoodsTime = arrivalGoodsTime;
		this.transferOrder = transferOrder;
	}
}
